<!--
function showMessage(id,t,p){
    createXMLHttpRequest();		  
    XMLHttpReq.open("GET",web_url+"user/user_messager.asp?action="+id+"&t="+t+"&Page="+p+"&n="+Math.random(),true);
    XMLHttpReq.onreadystatechange=function(){
        if(XMLHttpReq.readyState==4){
            if(XMLHttpReq.status==200){
                var msg=unescape(XMLHttpReq.responseText);
                document.getElementById("Msninfo").innerHTML=msg;
                
            } else{
                window.alert(msg_err);	
            }
        }
    }
    XMLHttpReq.send(null); 
}
function showMessages(id,t){
    OpenClose("H"+t);
    createXMLHttpRequest();		  
    XMLHttpReq.open("GET",web_url+"user/user_messager.asp?action="+id+"&id="+t,true);
    XMLHttpReq.onreadystatechange=function(){
        if(XMLHttpReq.readyState==4){
            if(XMLHttpReq.status==200){
                var msg=unescape(XMLHttpReq.responseText);
                document.getElementById("H"+t).innerHTML=msg;
            } else{
                window.alert(msg_err);	
            }
        }
    }
    XMLHttpReq.send(null); 
}
function showMessagedel(){
    if(window.confirm("确认删除你选中的短消息么？")){
    createXMLHttpRequest();		  
    XMLHttpReq.open("POST",web_url+"user/user_messager.asp?action=deleteall",true);
    XMLHttpReq.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
    XMLHttpReq.onreadystatechange=function(){
        if(XMLHttpReq.readyState==4){
            if(XMLHttpReq.status==200){
                var msg=unescape(XMLHttpReq.responseText);
                document.getElementById("Msninfo").innerHTML=msg;
                
            } else{
                window.alert(msg_err);	
            }
        }
    }
    var s = document.getElementsByName("sel_ID"); 
    var s2 = ""; 
    for( var i = 0; i < s.length; i++ ) { 
    if ( s[i].checked ){ 
        s2 += s[i].value+','; 
        } 
    } 
    s2 = s2.substr(0,s2.length-1);
    XMLHttpReq.send("id="+s2);
    } 
}
function showMsnFrddel(id){
    if(window.confirm("确认取消你的请求么？")){
    createXMLHttpRequest();		  
    XMLHttpReq.open("GET",web_url+"user/user_messager.asp?action=MsnFrddel&id="+id,true);
    XMLHttpReq.onreadystatechange=function(){
        if(XMLHttpReq.readyState==4){
            if(XMLHttpReq.status==200){
                var msg=unescape(XMLHttpReq.responseText);
                document.getElementById("Msninfo").innerHTML=msg;
                
            } else{
                window.alert(msg_err);	
            }
        }
    }
    XMLHttpReq.send(null); 
    }
}
function showEditFrd(id,ib){
    createXMLHttpRequest();		  
    XMLHttpReq.open("GET",web_url+"user/user_messager.asp?action=editfrd&id="+id+"&ib="+ib,true);
    XMLHttpReq.onreadystatechange=function(){
        if(XMLHttpReq.readyState==4){
            if(XMLHttpReq.status==200){
                var msg=unescape(XMLHttpReq.responseText);
                document.getElementById("Msninfo").innerHTML=msg;
                
            } else{
                window.alert(msg_err);	
            }
        }
    }
    XMLHttpReq.send(null); 
}
function showMessageput(){
    createXMLHttpRequest();		  
    XMLHttpReq.open("POST",web_url+"user/user_messager.asp?action=send",true);
    XMLHttpReq.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
    XMLHttpReq.onreadystatechange=function(){
        if(XMLHttpReq.readyState==4){
            if(XMLHttpReq.status==200){
                var msg=unescape(XMLHttpReq.responseText);
                document.getElementById("Msninfo").innerHTML=msg;
                
            } else{
                window.alert(msg_err);	
            }
        }
    }
    var touser = escape(getObjValues("touser"));
    var title = escape(getObjValues("title"));
    var message = escape(getObjValues("message"));
    XMLHttpReq.send("touser="+touser+"&title="+title+"&message="+message);
}
//===========================================================
function showfriend(id,t,p){
    createXMLHttpRequest();		  
    XMLHttpReq.open("GET",web_url+"user/User_FriendAjax.asp?action="+id+"&t="+t+"&Page="+p+"&n="+Math.random(),true);
    XMLHttpReq.onreadystatechange=function(){
        if(XMLHttpReq.readyState==4){
            if(XMLHttpReq.status==200){
                var msg=unescape(XMLHttpReq.responseText);
                document.getElementById("Msninfo").innerHTML=msg;
                
            } else{
                window.alert(msg_err);	
            }
        }
    }
    XMLHttpReq.send(null); 
}
function showFrddel(id){
    if(window.confirm("确认删除此好友么？")){
    createXMLHttpRequest();		  
    XMLHttpReq.open("GET",web_url+"user/User_FriendAjax.asp?action=frddel&id="+id,true);
    XMLHttpReq.onreadystatechange=function(){
        if(XMLHttpReq.readyState==4){
            if(XMLHttpReq.status==200){
                var msg=unescape(XMLHttpReq.responseText);
                document.getElementById("Msninfo").innerHTML=msg;
                
            } else{
                window.alert(msg_err);	
            }
        }
    }
    XMLHttpReq.send(null);
    } 
}
function showFrdedit(id,t){
    createXMLHttpRequest();		  
    XMLHttpReq.open("GET",web_url+"user/User_FriendAjax.asp?action=frdedit&id="+id+"&t="+t,true);
    XMLHttpReq.onreadystatechange=function(){
        if(XMLHttpReq.readyState==4){
            if(XMLHttpReq.status==200){
                var msg=unescape(XMLHttpReq.responseText);
                document.getElementById("Msninfo").innerHTML=msg;
                
            } else{
                window.alert(msg_err);	
            }
        }
    }
    XMLHttpReq.send(null); 
}

function showfriends(t){
    OpenClose("H"+t);
    createXMLHttpRequest();		  
    XMLHttpReq.open("GET",web_url+"user/User_FriendAjax.asp?action=read&t="+t,true);
    XMLHttpReq.onreadystatechange=function(){
        if(XMLHttpReq.readyState==4){
            if(XMLHttpReq.status==200){
                var msg=unescape(XMLHttpReq.responseText);
                document.getElementById("H"+t).innerHTML=msg;
            } else{
                window.alert(msg_err);	
            }
        }
    }
    XMLHttpReq.send(null); 
}
//===========================================================
function SelectAll() {
	for (var i=0;i<document.selform.sel_ID.length;i++) {
		var e=document.selform.sel_ID[i];
		e.checked=!e.checked;
	}
    }

function Hx_accept(addaccept)
{
  if (addaccept!="")
  { document.messager.touser.value=addaccept; }
}

function tabss(o,n,onod){
	var m_n = document.getElementById(o).getElementsByTagName(onod);
	for(i=0;i<m_n.length;i++){
	    if((onod=="a")||(onod=="em")){
                m_n[i].parentNode.className=i==n?"ss":"nos";
 			
	    }else{
		m_n[i].className=i==n?"ss":"nos";
 		
	    }
	}
}
// -->